Name: reversal-icon-theme
%global repo_name Reversal-icon-theme

Summary: Colorful icon theme inspired by Mac OS X aesthetic
License: GPL-3.0-only

%global git_date    20230513
%global git_commit  bdae2ea365731b25a869fc2c8c6a1fb849eaf5b2
%global git_commit_short  %(c="%{git_commit}"; echo ${c:0:7})

Version: 0^%{git_date}.%{git_commit_short}
Release: 1%{?dist}

URL: https://github.com/yeyushengfan258/%{repo_name}
Source0: %{url}/archive/%{git_commit}/%{repo_name}-%{git_commit}.tar.gz

BuildArch: noarch

Requires: hicolor-icon-theme


%description
Reversal is a colorful icon theme inspired by the aesthetic of Mac OS X.

Comes in a regular and dark variant.


%prep
%autosetup -n %{repo_name}-%{git_commit}

# Remove spurious executable bits found on some files
chmod 644 ./AUTHORS ./COPYING
find links/ src/ -executable -type f -exec chmod -v -- a-x '{}' '+'

# Remove broken links
find links/ -follow -type l -printf 'deleted broken symlink "%p" -> "%l"\n' -delete

# Do not call gtk-update-icon-cache during install
sed  \
	-e '/gtk-update-icon-cache/d'  \
	-i install.sh


%build
# Nothing to do here


%install
install -m 755 -d '%{buildroot}%{_datadir}/icons'
./install.sh --dest '%{buildroot}%{_datadir}/icons'

for VARIANT in '' '-dark'; do
	THEME="%{buildroot}%{_datadir}/icons/Reversal${VARIANT}"
	touch "${THEME}/icon-theme.cache"

	rm "${THEME}/AUTHORS"
	rm "${THEME}/COPYING"
done


%transfiletriggerin -- %{_datadir}/icons/Reversal
gtk-update-icon-cache --force %{_datadir}/icons/Reversal &>/dev/null || :

%transfiletriggerin -- %{_datadir}/icons/Reversal-dark
gtk-update-icon-cache --force %{_datadir}/icons/Reversal-dark &>/dev/null || :


%files
%doc AUTHORS
%license COPYING

# -- normal variant

%dir %{_datadir}/icons/Reversal
%ghost %{_datadir}/icons/Reversal/icon-theme.cache
%{_datadir}/icons/Reversal/index.theme

%{_datadir}/icons/Reversal/actions
%{_datadir}/icons/Reversal/actions@2x
%{_datadir}/icons/Reversal/animations
%{_datadir}/icons/Reversal/animations@2x
%{_datadir}/icons/Reversal/apps
%{_datadir}/icons/Reversal/apps@2x
%{_datadir}/icons/Reversal/categories
%{_datadir}/icons/Reversal/categories@2x
%{_datadir}/icons/Reversal/devices
%{_datadir}/icons/Reversal/devices@2x
%{_datadir}/icons/Reversal/emblems
%{_datadir}/icons/Reversal/emblems@2x
%{_datadir}/icons/Reversal/mimes
%{_datadir}/icons/Reversal/mimes@2x
%{_datadir}/icons/Reversal/places
%{_datadir}/icons/Reversal/places@2x
%{_datadir}/icons/Reversal/status
%{_datadir}/icons/Reversal/status@2x

# -- dark variant

%dir %{_datadir}/icons/Reversal-dark
%ghost %{_datadir}/icons/Reversal-dark/icon-theme.cache
%{_datadir}/icons/Reversal-dark/index.theme

%{_datadir}/icons/Reversal-dark/actions
%{_datadir}/icons/Reversal-dark/actions@2x
%{_datadir}/icons/Reversal-dark/animations
%{_datadir}/icons/Reversal-dark/animations@2x
%{_datadir}/icons/Reversal-dark/apps
%{_datadir}/icons/Reversal-dark/apps@2x
%{_datadir}/icons/Reversal-dark/categories
%{_datadir}/icons/Reversal-dark/categories@2x
%{_datadir}/icons/Reversal-dark/devices
%{_datadir}/icons/Reversal-dark/devices@2x
%{_datadir}/icons/Reversal-dark/emblems
%{_datadir}/icons/Reversal-dark/emblems@2x
%{_datadir}/icons/Reversal-dark/mimes
%{_datadir}/icons/Reversal-dark/mimes@2x
%{_datadir}/icons/Reversal-dark/places
%{_datadir}/icons/Reversal-dark/places@2x
%{_datadir}/icons/Reversal-dark/status
%{_datadir}/icons/Reversal-dark/status@2x


%changelog
* Sat Sep 16 2023 Artur Frenszek-Iwicki <fedora@svgames.pl> - 0^20230513.bdae2ea-1
- Initial packaging
